/*
 *  qe_qe_config.h
 *
 *  Copyright (C) 1998	Jiann-Ching Liu
 */


#ifndef __QE_CONFIG_H_
#define __QE_CONFIG_H_

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#if defined(__FreeBSD__) || defined(FREEBSD)
#    include <ncurses.h>
#else
#    include <curses.h>
#    define AUTO_TERM_SIZE_DETECT    1
#endif


#ifndef MAX_BUFFER_LEN
#define MAX_BUFFER_LEN     (512)
#endif


#ifdef VERSION
#define QE_VERSION VERSION
#endif

// #define USE_ANSICOLOR
//
#ifndef DEFAULT_PROFILE_DIR
#define DEFAULT_PROFILE_DIR	"/usr/local/etc"
#endif

#ifndef DEFAULT_PROFILE
#define DEFAULT_PROFILE		 (DEFAULT_PROFILE_DIR "/qe.pro")
#endif

#ifndef DEFAULT_USER_PROFILE
#define DEFAULT_USER_PROFILE ".qerc"
#define DEFAULT_USER_STATUS  ".qest"
#endif


#endif
